.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    /* wyśrodkowanie */
    justify-content: center;
    align-items: center;
}

.modal.active {
    display: flex;
}

.modal-box {
    width: 90vw;
    /* 90% szerokości ekranu */
    max-width: 500px;
    /* ale nie więcej niż 500px */
    aspect-ratio: 4 / 3;
    /* 🔥 trzyma proporcje (zamiast height) */
    background: url('/assets/images/duze/logowanie.webp') no-repeat center;
    background-size: cover;
    border-radius: 15px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.3);
    border: 1px solid #ddd;
    position: relative;
}

.modal-box input {
    position: absolute;
    left: 27%;
    /* zamiast 110px */
    width: 40%;
    /* zamiast 150px */
}

.modal-box input[name="login"] {
    top: 23%;
}

.modal-box input[name="haslo"] {
    top: 40%;
}

.modal-box input,
.modal-box button {
    font-size: 16px;
}

.modal-box button {
    position: absolute;
    top: 57%;
    left: 27%;
    width: 40%;
}